> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a participant by ID

> Get a participant by ID



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /studies/{studyId}/participants/{participantId}
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /studies/{studyId}/participants/{participantId}:
    get:
      tags:
        - Participants
      summary: Get a participant by ID
      description: Get a participant by ID
      parameters:
        - $ref: '#/components/parameters/StudyId'
        - $ref: '#/components/parameters/ParticipantId'
      responses:
        '200':
          description: The participant
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Participant'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                type: string
                example: '{Resource} not found'
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  parameters:
    StudyId:
      schema:
        $ref: '#/components/schemas/StudyId'
      required: true
      name: studyId
      in: path
    ParticipantId:
      schema:
        $ref: '#/components/schemas/ParticipantId'
      required: true
      name: participantId
      in: path
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  schemas:
    Participant:
      type: object
      properties:
        participantId:
          type: string
          description: The ID of the participant
        personId:
          type: string
          description: The ID of the person
        studyId:
          type: string
          description: The ID of the study
        email:
          type:
            - string
            - 'null'
          description: The primary email of the participant
        additionalEmails:
          type: array
          items:
            type: string
            format: email
          description: The additional emails of the participant
        phone:
          type:
            - string
            - 'null'
          description: The primary phone of the participant
        additionalPhones:
          type: array
          items:
            type: string
          description: The additional phones of the participant
        status:
          $ref: '#/components/schemas/ParticipantStatus'
        invitedToStudyAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the participant was invited to the study
        approvalStatus:
          $ref: '#/components/schemas/ParticipantApprovalStatus'
        approvedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the participant was approved
        screenerState:
          $ref: '#/components/schemas/ParticipantScreenerState'
        screenerSentAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the screener was sent
        interviewStartTime:
          type:
            - string
            - 'null'
          format: date-time
          description: The participant's interview start time
        screenerResponseDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the screener response was submitted
        addedToStudyAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the participant was added to the study
        note:
          type:
            - object
            - 'null'
          properties:
            note:
              type:
                - string
                - 'null'
              description: The note of the person
            createdByUserId:
              type:
                - string
                - 'null'
              description: The ID of the user who created the note
          required:
            - note
            - createdByUserId
          description: The note of the participant
      required:
        - participantId
        - personId
        - studyId
        - email
        - additionalEmails
        - phone
        - additionalPhones
        - status
        - invitedToStudyAt
        - approvalStatus
        - approvedAt
        - screenerState
        - screenerSentAt
        - interviewStartTime
        - screenerResponseDate
        - addedToStudyAt
        - note
      description: A study's participant information
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
    StudyId:
      type: string
    ParticipantId:
      type: string
    ParticipantStatus:
      type:
        - string
        - 'null'
      enum:
        - NOT_STARTED
        - INVITE_SENT
        - NOT_ELIGIBLE
        - SCREENER_STARTED
        - SCREENER_COMPLETED
        - SCREENER_QUALIFIED
        - SCREENER_DISQUALIFIED
        - INTERVIEW_INVITE_SENT
        - INTERVIEW_SCHEDULED
        - INTERVIEW_COMPLETED
        - INTERVIEW_CANCELLED
        - INTERVIEW_NO_SHOWED
        - SURVEY_STARTED
        - SURVEY_COMPLETED
        - INCENTIVE_SENT
        - INCENTIVE_CLAIMED
        - INCENTIVE_SKIPPED
        - UNMODERATED_TEST_INVITE_SENT
        - UNMODERATED_TEST_STARTED
        - UNMODERATED_TEST_COMPLETED
        - COMPLETED_STUDY
        - CANCELLED
        - OPTED_OUT
        - EMAIL_SOFT_BOUNCED
        - EMAIL_HARD_BOUNCED
        - null
      description: The status of the participant
    ParticipantApprovalStatus:
      type: string
      enum:
        - HIDDEN
        - AWAITING_APPROVAL
        - APPROVED
        - REJECTED
        - REPORTED
      description: The approval status of the participant
    ParticipantScreenerState:
      type:
        - string
        - 'null'
      enum:
        - SCREENER_SENT
        - SCREENER_COMPLETED
        - QUALIFIED
        - AUTO_QUALIFIED
        - NOT_QUALIFIED
        - AUTO_NOT_QUALIFIED
        - null
      description: The screener state of the participant
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````